LoggingPermission (Java SE 17 & JDK 17)
Description: declaration: module: java.logging, package: java.util.logging, class: LoggingPermission
Keywords: java.util.logging.LoggingPermission class

Module java.logging
Package java.util.logging

# Class LoggingPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.util.logging.LoggingPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public final class LoggingPermission extends BasicPermission
The permission which the SecurityManager will check when code that is running with a SecurityManager calls one of the logging control methods (such as Logger.setLevel).

Currently there is only one named LoggingPermission. This is "control" and it grants the ability to control the logging configuration, for example by adding or removing Handlers, by adding or removing Filters, or by changing logging levels.

Programmers do not normally create LoggingPermission objects directly. Instead they are created by the security policy code based on reading the security policy file.

Since:
  1.4
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingPermission(String name, String actions)`
  Creates a new LoggingPermission object.

- ## Method Summary

  ### Methods declared in class java.security.BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class java.security.Permission

  `checkGuard, getName, toString`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoggingPermission

    public LoggingPermission(String name, String actions) throws IllegalArgumentException
    Creates a new LoggingPermission object.
    Parameters:
      `name` - Permission name. Must be "control".
      `actions` - Must be either null or the empty string.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty or if arguments are invalid.